edu.wpi.first.wpilibj

## Enum ADXL345_I2C.Axes

- java.lang.Object
- - java.lang.Enum<ADXL345_I2C.Axes>
  - - edu.wpi.first.wpilibj.ADXL345_I2C.Axes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ADXL345_I2C.Axes>
  Enclosing class:
    ADXL345_I2C

      public static enum ADXL345_I2C.Axes
      extends java.lang.Enum<ADXL345_I2C.Axes>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `kX`
    `kY`
    `kZ`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `value` The integer value representing this enumeration.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ADXL345_I2C.Axes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ADXL345_I2C.Axes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### kX

          public static final ADXL345_I2C.Axes kX

    - #### kY

          public static final ADXL345_I2C.Axes kY

    - #### kZ

          public static final ADXL345_I2C.Axes kZ

  - ### Field Detail

    - #### value

          public final byte value

      The integer value representing this enumeration.

  - ### Method Detail

    - #### values

          public static ADXL345_I2C.Axes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ADXL345_I2C.Axes c : ADXL345_I2C.Axes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ADXL345_I2C.Axes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null